diff make/make.sh @ 51:93c68f362860

New script to download OLS files (and others), and split up volumes into individual papers, plus teach make.sh to run it.
author Rob Landley <rob@landley.net>
date Fri, 28 Sep 2007 14:47:14 -0500
parents aa424ac2ce30
children 7fa04e9d3e4b
line wrap: on
line diff
--- a/make/make.sh	Fri Sep 28 14:44:05 2007 -0500
+++ b/make/make.sh	Fri Sep 28 14:47:14 2007 -0500
@@ -9,6 +9,32 @@
 
 $WEBDIR/make/indexsections.py $WEBDIR/master.idx > $WEBDIR/index.html || exit 1
 
+echo "Mirror resources"
+
+cd "$WEBDIR"
+make/mirror.py
+cat mirror/ols2002.pdf.gz | gunzip > mirror/ols2002.pdf
+if [ -z "$(find mirror/ols2001 -name "*.pdf")" ]
+then
+  mkdir -p mirror/ols2001 &&
+  cd mirror/ols2001 &&
+  wget -r -l 1 -nd http://lwn.net/2001/features/OLS/pdf/pdf/ &&
+  cd ../..
+
+  [ $? -ne 0 ] && exit 1
+fi
+
+if [ -z "$(find ols/2007 -name "*.pdf")" ]
+then
+  echo "Split ols files"
+  mkdir -p ols/{1999,2000,2001,2002,2003,2004,2005,2006,2007} &&
+  cp mirror/ols2001/*.pdf ols/2001 &&
+  make/splitols.py mirror ols
+  [ $? -ne 0 ] && exit 1
+fi
+
+exit 1
+
 echo "Update Linux kernel from kernel.org"
 
 if [ ! -d "$LNXDIR" ]